Subject: Re: bug#47337: 28.0.50; [feature/native-comp] Compilation over and over again

From: Andrea Corallo <[email-masked]>
Date: Wed, 24 Mar 2021 11:44:11 +0000

Konstantin Reich <[email-masked]> writes:

> Hello,
>
> With recent update, Emacs re-compiles all files over and over again.
> So for example in the directory ~/.emacs.d/eln-cache/28.0.50-da68e688
> I have file "seq-c314b42f-92293e32.eln". I start emacs and the file is
> compiled again. As a result, I have the same file with the
> updated timestamp in the same directory.
>
>
> Moreover, I have compiled emacs with "NATIVE_FULL_AOT=1". So i already have
> the same file in :
> /usr/local/lib/emacs/28.0.50/native-lisp/28.0.50-da68e688/
> Still, every time i start emacs, it starts to recompile all files.
>
> It is never ending cycle of compilation.
>
>
> Before, I used emacs with last commit: 3e133cc050926284109fe61f4789f67676491ffa
> Everything worked as expected.

Hi Konstantin,

right I've introduced that with 5aa42f686c :/

4a3b43f55c fix it for me, could you verify?

Thanks

  Andrea